{% extends "base_generic.html" %}

{% block content %}

<form autocomplete='off' class='form' method="post" action="{% url 'locked_node' node_id=node.id %}">
    {% csrf_token %}
    <div class='control header-icons'>
        {% for level_node in level_nodes %}
        <a class='icon {{ level_node.class }}' href="{% url 'node' node_id=level_node.id %}" style="text-decoration: none;">
            <img src="{{ level_node.icon }}" alt="">
        </a>
        {% endfor %}
    </div>
    {% if node.location_hint_1 %}
    <h2>{{ node.location_hint_1 }}</h2>
    {% endif %}
    {% if node.location_hint_2 %}
    <h2>Подсказка: {{ node.location_hint_2 }}</h2>
    {% endif %}
    <div class='control block-cube block-input'>
        {{ form.password_guess }}
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
    </div>
    <button class='btn block-cube block-cube-hover' name='submit' type='submit'>
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
        <div class='text'>
            Проверить
        </div>
    </button>
    <div class='error'>
        {% if error_msg %}
        <p>{{ error_msg }}</p>
        {% endif %}
    </div>
</form>

{% endblock %}